Update service request lead source
curl --request PATCH \
--url https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"leadSourceId": "<string>"
}
'import requests
url = "https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source"
payload = { "leadSourceId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({leadSourceId: '<string>'})
};
fetch('https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'leadSourceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source"
payload := strings.NewReader("{\n \"leadSourceId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"leadSourceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"leadSourceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"referenceNumber": "<string>",
"conversationId": "<string>",
"voiceCallId": "<string>",
"contactId": "<string>",
"excludedFromReporting": true,
"manuallyExcludedFromReporting": true,
"instantBooking": true,
"instantBookingFallbackReasonCode": "required_fields_missing",
"customerName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"serviceAddress": "<string>",
"serviceAddressLine1": "<string>",
"serviceAddressLine2": "<string>",
"serviceCity": "<string>",
"serviceState": "<string>",
"serviceZipCode": "<string>",
"jobTypeId": "<string>",
"jobTypeName": "<string>",
"jobClassName": "<string>",
"onlineBookingFormId": "<string>",
"bookingFormSubmissionId": "<string>",
"jobTypeFreetext": "<string>",
"availabilityWindows": [
{
"raw": "<string>",
"date": "<string>",
"timeWindowStart": "<string>",
"timeWindowEnd": "<string>",
"timeWindowLabel": "<string>",
"start": "<string>",
"end": "<string>",
"flexible": true
}
],
"serviceNeeded": "<string>",
"emailAddress": "<string>",
"preferredTimeWindow": "<string>",
"isExistingCustomer": true,
"channel": "web_chat",
"leadSourceId": "<string>",
"leadSourceName": "<string>",
"conversationSummary": "<string>",
"customFields": {},
"status": "needs_info",
"createdAt": "<string>",
"updatedAt": "<string>",
"fsmJobLeadGuid": "<string>",
"fsmRecord": {
"kind": "job_lead",
"jobLeadGuid": "<string>",
"accountGuid": null,
"locationGuid": null,
"jobGuid": null,
"appointmentGuid": null
},
"bookingDetails": {
"confirmedWindowStart": "<string>",
"confirmedWindowEnd": "<string>",
"jobDurationMinutes": 0,
"bookingRequestId": "<string>",
"fsmCustomerGuid": "<string>",
"fsmLocationGuid": "<string>",
"fsmJobGuid": "<string>",
"fsmAppointmentGuid": "<string>",
"bookedAt": "<string>",
"providerMetadata": {}
},
"hcpBooking": {
"attemptId": "<string>",
"timezone": "<string>",
"kind": "booked",
"customerId": "<string>",
"addressId": "<string>",
"jobId": "<string>",
"appointmentId": "<string>",
"employeeId": "<string>",
"companyId": "<string>",
"arrivalStart": "<string>",
"arrivalEnd": "<string>",
"workStart": "<string>",
"workEnd": "<string>",
"durationMinutes": 0,
"provedAt": "<string>"
}
}Service Requests
Update service request lead source
PATCH
/
service-requests
/
{id}
/
lead-source
Update service request lead source
curl --request PATCH \
--url https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"leadSourceId": "<string>"
}
'import requests
url = "https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source"
payload = { "leadSourceId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({leadSourceId: '<string>'})
};
fetch('https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'leadSourceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source"
payload := strings.NewReader("{\n \"leadSourceId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"leadSourceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai-api.getbreezyapp.com/api/v1/service-requests/{id}/lead-source")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"leadSourceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"referenceNumber": "<string>",
"conversationId": "<string>",
"voiceCallId": "<string>",
"contactId": "<string>",
"excludedFromReporting": true,
"manuallyExcludedFromReporting": true,
"instantBooking": true,
"instantBookingFallbackReasonCode": "required_fields_missing",
"customerName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"serviceAddress": "<string>",
"serviceAddressLine1": "<string>",
"serviceAddressLine2": "<string>",
"serviceCity": "<string>",
"serviceState": "<string>",
"serviceZipCode": "<string>",
"jobTypeId": "<string>",
"jobTypeName": "<string>",
"jobClassName": "<string>",
"onlineBookingFormId": "<string>",
"bookingFormSubmissionId": "<string>",
"jobTypeFreetext": "<string>",
"availabilityWindows": [
{
"raw": "<string>",
"date": "<string>",
"timeWindowStart": "<string>",
"timeWindowEnd": "<string>",
"timeWindowLabel": "<string>",
"start": "<string>",
"end": "<string>",
"flexible": true
}
],
"serviceNeeded": "<string>",
"emailAddress": "<string>",
"preferredTimeWindow": "<string>",
"isExistingCustomer": true,
"channel": "web_chat",
"leadSourceId": "<string>",
"leadSourceName": "<string>",
"conversationSummary": "<string>",
"customFields": {},
"status": "needs_info",
"createdAt": "<string>",
"updatedAt": "<string>",
"fsmJobLeadGuid": "<string>",
"fsmRecord": {
"kind": "job_lead",
"jobLeadGuid": "<string>",
"accountGuid": null,
"locationGuid": null,
"jobGuid": null,
"appointmentGuid": null
},
"bookingDetails": {
"confirmedWindowStart": "<string>",
"confirmedWindowEnd": "<string>",
"jobDurationMinutes": 0,
"bookingRequestId": "<string>",
"fsmCustomerGuid": "<string>",
"fsmLocationGuid": "<string>",
"fsmJobGuid": "<string>",
"fsmAppointmentGuid": "<string>",
"bookedAt": "<string>",
"providerMetadata": {}
},
"hcpBooking": {
"attemptId": "<string>",
"timezone": "<string>",
"kind": "booked",
"customerId": "<string>",
"addressId": "<string>",
"jobId": "<string>",
"appointmentId": "<string>",
"employeeId": "<string>",
"companyId": "<string>",
"arrivalStart": "<string>",
"arrivalEnd": "<string>",
"workStart": "<string>",
"workEnd": "<string>",
"durationMinutes": 0,
"provedAt": "<string>"
}
}Authorizations
userJwtBearerserviceApiKeyBearer
User JWT bearer token. User principals can manage API keys and call tenant-scoped customer endpoints.
Path Parameters
Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Body
application/json
Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Response
200 - application/json
OK
Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Available options:
required_fields_missing, outside_booking_window, address_invalid, address_resolution_unavailable, outside_service_area, existing_customer_not_found, identity_ambiguous, provider_failure, partial_provider_write, unknown Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Show child attributes
Show child attributes
Available options:
web_chat, voice_call, booking_form Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Show child attributes
Show child attributes
Available options:
needs_info, ready_to_schedule, scheduled, completed, canceled - Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes